libstdc++: std::__fwdlist::_Node_base< _VoidPtr > Struct Template Reference

libstdc++

std::__fwdlist::_Node_base< _VoidPtr > Struct Template Reference

`#include <forward_list.h>`

## Public Types
using | _Base_ptr

## Public Member Functions
| _Node_base (_Node_base &&__x) noexcept
| _Node_base (const _Node_base &)=delete
_Base_ptr | _M_base_ptr () const
void | _M_reverse_after () noexcept
_Base_ptr | _M_transfer_after (_Base_ptr __begin, _Base_ptr __end) noexcept
_Node_base & | operator= (_Node_base &&__x) noexcept
_Node_base & | operator= (const _Node_base &)=delete

## Public Attributes
_Base_ptr | _M_next

## Detailed Description

template<typename _VoidPtr>
struct std::__fwdlist::_Node_base< _VoidPtr >

The node-base type for allocators that use fancy pointers.

Definition at line 347 of file forward_list.h.

## Member Typedef Documentation

## ◆ _Base_ptr

template<typename _VoidPtr>

using std::__fwdlist::_Node_base< _VoidPtr >::_Base_ptr

Definition at line 349 of file forward_list.h.

## Constructor & Destructor Documentation

## ◆ _Node_base()

template<typename _VoidPtr>

std::__fwdlist::_Node_base< _VoidPtr >::_Node_base | ( | _Node_base< _VoidPtr > && | __x | ) |
| inlinenoexcept

Definition at line 353 of file forward_list.h.

## Member Function Documentation

## ◆ _M_base_ptr()

template<typename _VoidPtr>

_Base_ptr std::__fwdlist::_Node_base< _VoidPtr >::_M_base_ptr | ( |  | ) | const
| inline

Definition at line 406 of file forward_list.h.

## ◆ _M_reverse_after()

template<typename _VoidPtr>

void std::__fwdlist::_Node_base< _VoidPtr >::_M_reverse_after | ( |  | ) |
| inlinenoexcept

Definition at line 387 of file forward_list.h.

## ◆ _M_transfer_after()

template<typename _VoidPtr>

_Base_ptr std::__fwdlist::_Node_base< _VoidPtr >::_M_transfer_after | ( | _Base_ptr | __begin,
|  | _Base_ptr | __end )
| inlinenoexcept

Definition at line 372 of file forward_list.h.

## ◆ operator=()

template<typename _VoidPtr>

_Node_base & std::__fwdlist::_Node_base< _VoidPtr >::operator= | ( | _Node_base< _VoidPtr > && | __x | ) |
| inlinenoexcept

Definition at line 361 of file forward_list.h.

## Member Data Documentation

## ◆ _M_next

template<typename _VoidPtr>

_Base_ptr std::__fwdlist::_Node_base< _VoidPtr >::_M_next

Definition at line 368 of file forward_list.h.

The documentation for this struct was generated from the following file:

- forward_list.h